Package org.apache.syncope.core.persistence.jpa.upgrade

# Class GenerateUpgradeSQL

java.lang.Object
org.apache.syncope.core.persistence.jpa.upgrade.GenerateUpgradeSQL

public class GenerateUpgradeSQL extends Object

## Constructor Summary

Constructors
Constructor
Description
`GenerateUpgradeSQL(org.apache.openjpa.jdbc.conf.JDBCConfiguration jdbcConf)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(Writer out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenerateUpgradeSQL

public GenerateUpgradeSQL(org.apache.openjpa.jdbc.conf.JDBCConfiguration jdbcConf)

## Method Details

### run

public void run(Writer out) throws IOException, SQLException

Throws:
  `IOException`
  `SQLException`